# ARBCopyBuffer (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBCopyBuffer

    java.lang.Object
      org.lwjgl.opengl.ARBCopyBuffer

    public final class ARBCopyBuffer

extends java.lang.Object

Field Summary
`static int` `GL_COPY_READ_BUFFER` Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:
`static int` `GL_COPY_WRITE_BUFFER` Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

Method Summary
`static void` `glCopyBufferSubData(int readTarget, int writeTarget, long readOffset, long writeOffset, long size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COPY_READ_BUFFER

    public static final int GL_COPY_READ_BUFFER

  Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

  See Also:
    Constant Field Values

### GL_COPY_WRITE_BUFFER

    public static final int GL_COPY_WRITE_BUFFER

  Accepted by the target parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

  See Also:
    Constant Field Values

Method Detail

### glCopyBufferSubData

    public static void glCopyBufferSubData(int readTarget,
                                           int writeTarget,
                                           long readOffset,
                                           long writeOffset,
                                           long size)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.